get transaction logs
1 min
GET
https://api.upstartcommerce.com/v1/tax/transactions
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringDescription
Responses
200
- object[]Min Items1Unique Itemsyes
- transactionIdstringrequiredDescriptionMin Length1
- tenantstringrequiredDescriptionMin Length1
- siteIdstringrequiredDescriptionMin Length1
- cartIdstringrequiredDescriptionMin Length1
- apiNamestringrequiredDescriptionMin Length1
- requestobjectrequiredDescription
- codestring
- linesobject[]
- quantitynumber
- amountnumber
- addressesobject
- shipFromobject
- line1string
- line2string
- citystring
- regionstring
- countrystring
- postalCodestring
- shipToobject
- line1string
- line2string
- citystring
- regionstring
- countrystring
- postalCodestring
- singleLocationobject
- line1string
- line2string
- citystring
- regionstring
- countrystring
- postalCodestring
- taxCodestring
- entityUseCodestring
- itemCodestring
- discountedboolean
- ref1string
- descriptionstring
- typestring
- commitboolean
- companyCodestring
- datestring
- customerCodestring
- purchaseOrderNostring
- exemptionNostring
- addressesobject
- shipFromobject
- line1string
- line2string
- citystring
- regionstring
- countrystring
- postalCodestring
- shipToobject
- line1string
- line2string
- citystring
- regionstring
- countrystring
- postalCodestring
- singleLocationobject
- line1string
- line2string
- citystring
- regionstring
- countrystring
- postalCodestring
- currencyCodestring
- responseobjectrequiredDescription
- object
- idnumber
- codestring
- companyIdnumber
- datenumber
- paymentDatenumber
- statusstring
- typestring
- batchCodestring
- currencyCodestring
- customerUsageTypestring
- entityUseCodestring
- customerVendorCodestring
- customerCodestring
- exemptNostring
- reconciledboolean
- locationCodestring
- reportingLocationCodestring
- purchaseOrderNostring
- referenceCodestring
- salespersonCodestring
- taxOverrideTypestring
- taxOverrideAmountnumber
- taxOverrideReasonstring
- totalAmountnumber
- totalExemptnumber
- totalDiscountnumber
- totalTaxnumber
- totalTaxablenumber
- totalTaxCalculatednumber
- adjustmentReasonstring
- adjustmentDescriptionstring
- lockedboolean
- regionstring
- countrystring
- versionnumber
- softwareVersionstring
- originAddressIdnumber
- destinationAddressIdnumber
- exchangeRateEffectiveDatenumber
- exchangeRatenumber
- descriptionstring
- emailstring
- businessIdentificationNostring
- modifiedDatenumber
- modifiedUserIdnumber
- taxDatenumber
- linesobject[]
- idnumber
- transactionIdnumber
- lineNumberstring
- boundaryOverrideIdnumber
- customerUsageTypestring
- entityUseCodestring
- descriptionstring
- destinationAddressIdnumber
- originAddressIdnumber
- discountAmountnumber
- discountTypeIdnumber
- exemptAmountnumber
- exemptCertIdnumber
- exemptNostring
- isItemTaxableboolean
- isSSTPboolean
- itemCodestring
- lineAmountnumber
- quantitynumber
- ref1string
- ref2string
- reportingDatenumber
- revAccountstring
- sourcingstring
- taxnumber
- taxableAmountnumber
- taxCalculatednumber
- taxCodestring
- taxCodeIdnumber
- taxDatenumber
- taxEnginestring
- taxOverrideTypestring
- businessIdentificationNostring
- taxOverrideAmountnumber
- taxOverrideReasonstring
- taxIncludedboolean
- detailsobject[]
- idnumber
- transactionLineIdnumber
- transactionIdnumber
- addressIdnumber
- countrystring
- regionstring
- countyFIPSstring
- stateFIPSstring
- exemptAmountnumber
- exemptReasonIdnumber
- inStateboolean
- jurisCodestring
- jurisNamestring
- jurisdictionIdnumber
- signatureCodestring
- stateAssignedNostring
- jurisTypestring
- jurisdictionTypestring
- nonTaxableAmountnumber
- nonTaxableRuleIdnumber
- nonTaxableTypestring
- ratenumber
- rateRuleIdnumber
- rateSourceIdnumber
- serCodestring
- sourcingstring
- taxnumber
- taxableAmountnumber
- taxTypestring
- taxSubTypeIdstring
- taxTypeGroupIdstring
- taxNamestring
- taxAuthorityTypeIdnumber
- taxRegionIdnumber
- taxCalculatednumber
- taxOverridenumber
- rateTypeCodestring
- taxableUnitsnumber
- nonTaxableUnitsnumber
- exemptUnitsnumber
- unitOfBasisstring
- isNonPassThruboolean
- nonPassthroughDetailsobject[]
- lineLocationTypesobject[]
- documentLineLocationTypeIdnumber
- documentLineIdnumber
- documentAddressIdnumber
- locationTypeCodestring
- hsCodestring
- costInsuranceFreightnumber
- vatCodestring
- vatNumberTypeIdnumber
- addressesobject[]
- idnumber
- transactionIdnumber
- boundaryLevelstring
- line1string
- line2string
- line3string
- citystring
- regionstring
- postalCodestring
- countrystringMin Length1
- taxRegionIdnumber
- latitudestringMin Length1
- longitudestringMin Length1
- locationTypesobject[]
- documentLocationTypeIdnumber
- documentIdnumber
- documentAddressIdnumber
- locationTypeCodestringMin Length1
- summaryobject[]
- countrystringMin Length1
- regionstringMin Length1
- jurisTypestringMin Length1
- jurisCodestringMin Length1
- jurisNamestringMin Length1
- taxAuthorityTypenumber
- stateAssignedNostring
- taxTypestringMin Length1
- taxNamestringMin Length1
- taxablenumber
- ratenumber
- taxnumber
- taxCalculatednumber
- nonTaxablenumber
- exemptionnumber
- object
- levelstringrequiredDescription
- codestringrequiredDescription
- messagestringrequiredDescription
- creationDatestringrequiredExampleDescriptionMin Length1
- roundTripTimenumberrequiredDescription
401
- GeneralErrorDescription
- namestringrequiredDescriptionMin Length1
- codestringrequiredDescriptionMin Length1
- reasonstringDescriptionMin Length1
- detailstringrequiredDescriptionMin Length1
404
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/tax/transactions \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/tax/transactions", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/tax/transactions")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/tax/transactions"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success-found the logged transactions.
[
{
"transactionId": "",
"tenant": "",
"siteId": "",
"cartId": "",
"apiName": "",
"request": {
"code": "",
"lines": [
{
"quantity": 0,
"amount": 0,
"addresses": {
"shipFrom": {
"line1": "",
"line2": "",
"city": "",
"region": "",
"country": "",
"postalCode": ""
},
"shipTo": {
"line1": "",
"line2": "",
"city": "",
"region": "",
"country": "",
"postalCode": ""
},
"singleLocation": {
"line1": "",
"line2": "",
"city": "",
"region": "",
"country": "",
"postalCode": ""
}
},
"taxCode": "",
"entityUseCode": "",
"itemCode": "",
"discounted": false,
"ref1": "",
"description": ""
}
],
"type": "",
"commit": false,
"companyCode": "",
"date": "",
"customerCode": "",
"purchaseOrderNo": "",
"exemptionNo": "",
"addresses": {
"shipFrom": {
"line1": "",
"line2": "",
"city": "",
"region": "",
"country": "",
"postalCode": ""
},
"shipTo": {
"line1": "",
"line2": "",
"city": "",
"region": "",
"country": "",
"postalCode": ""
},
"singleLocation": {
"line1": "",
"line2": "",
"city": "",
"region": "",
"country": "",
"postalCode": ""
}
},
"currencyCode": ""
},
"response": {},
"creationDate": "2021-11-01T10:09:08.015Z",
"roundTripTime": 0
}
]401
// Unauthorized-the provided credentials were invalid for this endpoint.
{
"name": "",
"code": "",
"reason": "",
"detail": ""
}404
// Not Found-the requested resource was not found in the NoChannel system.